commit:     49f8794752a4635a7859412c02eb90afa1978699
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 11 06:20:27 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Mar 11 06:20:27 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=49f87947

dev-python/tornado: Bump to 6.5.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/tornado/Manifest             |  2 ++
 dev-python/tornado/tornado-6.5.5.ebuild | 61 +++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-python/tornado/Manifest b/dev-python/tornado/Manifest
index 6257b9d5b836..4df540553ebf 100644
--- a/dev-python/tornado/Manifest
+++ b/dev-python/tornado/Manifest
@@ -2,3 +2,5 @@ DIST tornado-6.5.2.tar.gz 510821 BLAKE2B 
31e4753a3f8d5474d84b431c41617668e749fed
 DIST tornado-6.5.3.tar.gz 513348 BLAKE2B 
fd8e5439a1c1ae675c4f19ac5d5b3c64ca3d188a1c85358e2a35e8214a01d9dea2a6bb408edd3697c8fab388c67c84272797455b07675c1a7ab9de50ab69fc11
 SHA512 
025641d9f79d767b8d87a61f94d96c8c58c13ff7b45fc853daff2a515b84ed7ee32ac38caf478061f501502aa10c82a40c860c556f75251b1798eb4f2e27c06e
 DIST tornado-6.5.4.tar.gz 513632 BLAKE2B 
a76d08cce16dda56845b40f16afff7477e85c7e5ffa142d763b35e39a3ff820df47b5486aecddb97126f95d386caba04a1abebd8f8132d4759d473dafb7e741f
 SHA512 
29e743a424d948ceed95f5ae1830156cd26344606665061d508f5c6b0ba7902c71bd891081171aaaa498838c7ed9c195d7555e92a60fade09e1464bca4a835cc
 DIST tornado-6.5.4.tar.gz.provenance 9376 BLAKE2B 
559d456fa5820ecfb01d09ef5214be8665d7328cb900f0b6055810311967722a8a65d1578dded10dd692760f0cc4bd46b268a7bf1639fa6471642ddd4d4dbb60
 SHA512 
8ae05c2cbdcf3460cc5c96258b3ce9c44c65ce6efd89c45f4178247be8d926da895e8ce7cabf55c663f0880b626cfd6dc3e29b09b974b381bf04cdf10cbb3576
+DIST tornado-6.5.5.tar.gz 516006 BLAKE2B 
b744e5d99fe1ffe1f8e8546457e53d5b995daed09c010b90026e4a037a6e22453b9bd5978c078b91b55f97a2852f661fda6e79b6e0f0efea35628c99ff61afcb
 SHA512 
fbf1e4f74920e8d9a17663e75ff39c34dbefefd0e3df692716d01abae0e1747578e0a59c174591f8f03980702f18a0c935105840953cd3f7ef2c200e9f3cf491
+DIST tornado-6.5.5.tar.gz.provenance 9424 BLAKE2B 
51c7d29182ff9d88ca37fbd3572d3d73504f3d97f81799b35fc79a4f56224f4525c77dbdf25fc9a455d83536d1ada060b9e36c035da9279bf1e74fd39f53c38a
 SHA512 
15d5fe16e96037c16dae4b744ecd3a8d9d460558c050bb438a6415523ae0881b2750616f258ea3314eb5db75e134e36b177d67eff1b349a1522aec1c9284ea97

diff --git a/dev-python/tornado/tornado-6.5.5.ebuild 
b/dev-python/tornado/tornado-6.5.5.ebuild
new file mode 100644
index 000000000000..53d055e83354
--- /dev/null
+++ b/dev-python/tornado/tornado-6.5.5.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/tornadoweb/tornado
+PYTHON_COMPAT=( python3_{11..14} pypy3_11 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python web framework and asynchronous networking library"
+HOMEPAGE="
+       https://www.tornadoweb.org/
+       https://github.com/tornadoweb/tornado/
+       https://pypi.org/project/tornado/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-python/twisted-16.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               ${RDEPEND}
+               $(python_gen_cond_dep '
+                       >=dev-python/pycurl-7.19.3.1[${PYTHON_USEDEP}]
+               ' 'python*')
+       )
+"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-6.3.2-ignore-deprecationwarning.patch"
+)
+
+src_prepare() {
+       # network-sandbox? ipv6?
+       sed -i -e 's:test_localhost:_&:' \
+               tornado/test/netutil_test.py || die
+
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local -x ASYNC_TEST_TIMEOUT=60
+       # Avoid time-sensitive tests
+       # 
https://github.com/tornadoweb/tornado/blob/10974e6ebee80a26a2a65bb9bd715cf858fafde5/tornado/test/util.py#L19
+       local -x TRAVIS=1
+       local -x NO_NETWORK=1
+
+       cd "${T}" || die
+       "${EPYTHON}" -m tornado.test.runtests --verbose ||
+               die "tests failed under ${EPYTHON}"
+}

Reply via email to